## org.jvnet.libpam.impl
Interface PAMLibrary

All Superinterfaces:
  com.sun.jna.Library

    public interface PAMLibrary

extends com.sun.jna.Library

libpam.so binding. See http://www.opengroup.org/onlinepubs/008329799/apdxa.htm for the online reference of pam_appl.h

Author:
  Kohsuke Kawaguchi

Nested Class Summary
`static class` `PAMLibrary.pam_conv`
`static class` `PAMLibrary.pam_handle_t`
`static class` `PAMLibrary.pam_message`
`static class` `PAMLibrary.pam_response`

Nested classes/interfaces inherited from interface com.sun.jna.Library
`com.sun.jna.Library.Handler`

Field Summary
`static PAMLibrary` `libpam`
`static int` `PAM_CONV_ERR`
`static int` `PAM_ERROR_MSG`
`static int` `PAM_PROMPT_ECHO_OFF`
`static int` `PAM_PROMPT_ECHO_ON`
`static int` `PAM_SUCCESS`
`static int` `PAM_TEXT_INFO`
`static int` `PAM_USER`

Fields inherited from interface com.sun.jna.Library
`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

Method Summary
`int` `pam_acct_mgmt(PAMLibrary.pam_handle_t handle, int flags)`
`int` `pam_authenticate(PAMLibrary.pam_handle_t handle, int flags)`
`int` `pam_end(PAMLibrary.pam_handle_t handle, int pam_status)`
`int` `pam_get_item(PAMLibrary.pam_handle_t handle, int item_type, com.sun.jna.ptr.PointerByReference item)`
`int` `pam_set_item(PAMLibrary.pam_handle_t handle, int item_type, java.lang.String item)`
`int` `pam_start(java.lang.String service, java.lang.String user, PAMLibrary.pam_conv conv, com.sun.jna.ptr.PointerByReference pamh_p)`
`java.lang.String` `pam_strerror(PAMLibrary.pam_handle_t handle, int pam_error)`

Field Detail

### PAM_USER

    static final int PAM_USER

See Also:
  Constant Field Values

### PAM_SUCCESS

    static final int PAM_SUCCESS

See Also:
  Constant Field Values

### PAM_CONV_ERR

    static final int PAM_CONV_ERR

See Also:
  Constant Field Values

### PAM_PROMPT_ECHO_OFF

    static final int PAM_PROMPT_ECHO_OFF

See Also:
  Constant Field Values

### PAM_PROMPT_ECHO_ON

    static final int PAM_PROMPT_ECHO_ON

See Also:
  Constant Field Values

### PAM_ERROR_MSG

    static final int PAM_ERROR_MSG

See Also:
  Constant Field Values

### PAM_TEXT_INFO

    static final int PAM_TEXT_INFO

See Also:
  Constant Field Values

### libpam

    static final PAMLibrary libpam

Method Detail

### pam_start

    int pam_start(java.lang.String service,
                  java.lang.String user,
                  PAMLibrary.pam_conv conv,
                  com.sun.jna.ptr.PointerByReference pamh_p)

### pam_end

    int pam_end(PAMLibrary.pam_handle_t handle,
                int pam_status)

### pam_set_item

    int pam_set_item(PAMLibrary.pam_handle_t handle,
                     int item_type,
                     java.lang.String item)

### pam_get_item

    int pam_get_item(PAMLibrary.pam_handle_t handle,
                     int item_type,
                     com.sun.jna.ptr.PointerByReference item)

### pam_authenticate

    int pam_authenticate(PAMLibrary.pam_handle_t handle,
                         int flags)

### pam_acct_mgmt

    int pam_acct_mgmt(PAMLibrary.pam_handle_t handle,
                      int flags)

### pam_strerror

    java.lang.String pam_strerror(PAMLibrary.pam_handle_t handle,
                                  int pam_error)

Copyright © 2012. All Rights Reserved.